import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
    state: {
        weaterRes: {
            aqiDetail: {},
            weather_pic: '',
            weather: '',
            temperature: '',
        },
        windowWidth: 1920 + 1080,
        // wsUrl: process.env.NODE_ENV === "development" ? '172.16.120.92:8085' : '121.40.217.77:8085',
        wsUrl: '121.40.217.77:8085',
    },
    mutations: {
        changClient(state, val) {
            state.windowWidth = val
        },
        changWeater(state, val) {
            state.weaterRes = val
            console.log(state.weaterRes)
        }
    },
    actions: {},
    modules: {}
})