import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [{
    path: '/',
    name: 'Home',
    component: () =>
        import ( /* webpackChunkName: "about" */ '../views/home')
}, {
    path: '/info-page',
    name: 'infoPage',
    component: () =>
        import ( /* webpackChunkName: "about" */ '../views/infoPage')
}, ]

const router = new VueRouter({
    mode: 'hash',
    base: '/',
    routes
})

export default router